KeyStore
Date: 2016-06-24

java.security

## Class KeyStore

- java.lang.Object
- - java.security.KeyStore

-     public class KeyStore
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeyStore(KeyStoreSpi var0, Provider var1, String var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Enumeration` | `aliases()`
    `boolean` | `containsAlias(String var0)`
    `void` | `deleteEntry(String var0)`
    `Certificate` | `getCertificate(String var0)`
    `String` | `getCertificateAlias(Certificate var0)`
    `Certificate[]` | `getCertificateChain(String var0)`
    `Date` | `getCreationDate(String var0)`
    `static String` | `getDefaultType()`
    `static KeyStore` | `getInstance(String var0)`
    `static KeyStore` | `getInstance(String var0, Provider var1)`
    `static KeyStore` | `getInstance(String var0, String var1)`
    `Key` | `getKey(String var0, char[] var1)`
    `Provider` | `getProvider()`
    `String` | `getType()`
    `boolean` | `isCertificateEntry(String var0)`
    `boolean` | `isKeyEntry(String var0)`
    `void` | `load(InputStream var0, char[] var1)`
    `void` | `setCertificateEntry(String var0, Certificate var1)`
    `void` | `setKeyEntry(String var0, byte[] var1, Certificate[] var2)`
    `void` | `setKeyEntry(String var0, Key var1, char[] var2, Certificate[] var3)`
    `int` | `size()`
    `void` | `store(OutputStream var0, char[] var1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStore

          protected KeyStore(KeyStoreSpi var0,
                  Provider var1,
                  String var2)

  - ### Method Detail

    - #### aliases

          public final Enumeration aliases()
                                    throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### containsAlias

          public final boolean containsAlias(String var0)
                                      throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### deleteEntry

          public final void deleteEntry(String var0)
                                 throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### getCertificate

          public final Certificate getCertificate(String var0)
                                           throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### getCertificateAlias

          public final String getCertificateAlias(Certificate var0)
                                           throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### getCertificateChain

          public final Certificate[] getCertificateChain(String var0)
                                                  throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### getCreationDate

          public final Date getCreationDate(String var0)
                                     throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### getDefaultType

          public static final String getDefaultType()

    - #### getInstance

          public static KeyStore getInstance(String var0)
                                      throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### getInstance

          public static KeyStore getInstance(String var0,
                             String var1)
                                      throws KeyStoreException,
                                             NoSuchProviderException

      Throws:
        `KeyStoreException`
        `NoSuchProviderException`

    - #### getInstance

          public static KeyStore getInstance(String var0,
                             Provider var1)
                                      throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### getKey

          public final Key getKey(String var0,
                   char[] var1)
                           throws KeyStoreException,
                                  NoSuchAlgorithmException,
                                  UnrecoverableKeyException

      Throws:
        `KeyStoreException`
        `NoSuchAlgorithmException`
        `UnrecoverableKeyException`

    - #### getProvider

          public final Provider getProvider()

    - #### getType

          public final String getType()

    - #### isCertificateEntry

          public final boolean isCertificateEntry(String var0)
                                           throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### isKeyEntry

          public final boolean isKeyEntry(String var0)
                                   throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### load

          public final void load(InputStream var0,
                  char[] var1)
                          throws IOException,
                                 NoSuchAlgorithmException,
                                 CertificateException

      Throws:
        `IOException`
        `NoSuchAlgorithmException`
        `CertificateException`

    - #### setCertificateEntry

          public final void setCertificateEntry(String var0,
                                 Certificate var1)
                                         throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### setKeyEntry

          public final void setKeyEntry(String var0,
                         Key var1,
                         char[] var2,
                         Certificate[] var3)
                                 throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### setKeyEntry

          public final void setKeyEntry(String var0,
                         byte[] var1,
                         Certificate[] var2)
                                 throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### size

          public final int size()
                         throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### store

          public final void store(OutputStream var0,
                   char[] var1)
                           throws IOException,
                                  KeyStoreException,
                                  NoSuchAlgorithmException,
                                  CertificateException

      Throws:
        `IOException`
        `KeyStoreException`
        `NoSuchAlgorithmException`
        `CertificateException`